package com.gic.enterprise.service;

import com.gic.enterprise.dto.EnterpriseDTO;
import com.gic.enterprise.dto.EnterpriseListDTO;
import com.gic.enterprise.entity.TabEnterprise;
import com.github.pagehelper.Page;

/**
 * @author guojx
 * @date 2019/7/16 4:13 PM
 */
public interface EnterpriseService {

    /**
     * 新增商户
     * @param enterpriseDTO
     * @return
     */
    int saveEnterprise(EnterpriseDTO enterpriseDTO);

    /**
     * 编辑保存
     * @param enterpriseDTO
     */
    void editEnterprise(EnterpriseDTO enterpriseDTO);

    /**
     * 根据主键获取数据
     * @param enterpriseId
     * @return
     */
    TabEnterprise getEnterpriseById(Integer enterpriseId);

    /**
     * 企业名称是否重复
     * @param enterpriseName
     * @param enterpriseId
     * @return
     */
    boolean isRepeatEnterpriseName(String enterpriseName, Integer enterpriseId);

    /**
     * 停用、启用
     * @param enterpriseId
     * @param status
     */
    void changeEnterpriseStatus(Integer enterpriseId, Integer status);

    Page<EnterpriseListDTO> listEnterprise(String search, Integer serviceVersion,
                                           Integer status, String orderBy,
                                           Integer pageNum, Integer pageSize);

    /**
     * 初始化商户
     * @param enterpriseId
     */
    void initEnterprise(Integer enterpriseId);
}
